### Function

# Dex app_info_launch_default_for_uri

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_app_info_launch_default_for_uri (
      const char* uri,
      GAppLaunchContext* context
    )

#### Description [src]

Wraps `g_app_info_launch_default_for_uri_async()`.

Available since: 1.2

#### Parameters

`uri`

  Type: `const char*`

  A URI to launch.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`context`

  Type: `GAppLaunchContext`

  A `GAppLaunchContext`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.